### Method

# Foundry DeployStrategy deploy

#### Declaration [src]

    DexFuture*
    foundry_deploy_strategy_deploy (
      FoundryDeployStrategy* self,
      int pty_fd,
      DexCancellable* cancellable
    )

#### Description [src]

Checks if the deploy strategy is deploy for the current configuration.

#### Parameters

`pty_fd`

  Type: `int`

  No description available.

`cancellable`

  Type: `DexCancellable`

  No description available.

  The data is owned by the caller of the method.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves the priority of the strategy or rejects with error if undeploy.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.